Bug 981114 - Met NameError when run rhc-fix-stale-frontend
Met NameError when run rhc-fix-stale-frontend
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 00:28 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:21:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-07-04 00:28:11 EDT
Description of problem:
When run "rhc-fix-stale-frontend" command, will meet errors like "uninitialized constant OpenShift::GearDB (NameError)"

Version-Release number of selected component (if applicable):
devenv_3447

How reproducible:
always

Steps to Reproduce:
1. Create an app
rhc app create drupal php-5.3 --no-git
2. Add alias for this app
rhc alias add drupal d1.com
3. SSH into the instance and run "rhc-fix-stale-frontend"
rhc-fix-stale-frontend drupal-cdm.dev.rhcloud.com

Actual results:
/usr/bin/rhc-fix-stale-frontend:27:in `<main>': uninitialized constant OpenShift::GearDB (NameError)


Expected results:
rhc-fix-stale-frontend should work well

Additional info:
Comment 1 openshift-github-bot 2013-07-09 12:56:33 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/654cfcd3badacf6c11afa38d347e8742f294fdf5
Misc bugs
Bug 981114 - Move to Runtime module missed these classes.
Bug 982403 - catch up to newer calling convention for FrontendHttpServer
Comment 2 Rob Millner 2013-07-09 15:11:24 EDT
Parts of the commit were dropped in rebasing.  New pull request:
https://github.com/openshift/li/pull/1716
Comment 3 openshift-github-bot 2013-07-09 17:15:19 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/9b20150a301740c6196141f09ab9a37dddf0a996
Bug 981114 - additional name fixes.
Comment 4 chunchen 2013-07-09 22:04:40 EDT
It's fixed, verified on devenv_3471,please refer to the following results:

# rhc-fix-stale-frontend drupal-cdm.dev.rhcloud.com
Deleting names and any associated aliases from the frontend:
	drupal-cdm.dev.rhcloud.com
Hit 'y' to continue, anything else to abort.
y
Deleting from ApacheDBNodes...
Deleting from ApacheDBAliases...
Deleting from ApacheDBIdler...
Deleting from ApacheDBSTS...
Deleting from NodeJSDBRoutes...
Deleting from GearDB...
Done

Note You need to log in before you can comment on or make changes to this bug.